Ticket #13 (closed feature: fixed)

Opened 7 years ago

Last modified 3 years ago

improve the system config summary script

Reported by: ppalmers Assigned to:
Priority: major Milestone: FFADO 2.1
Component: Version:
Keywords: Cc:
The device the bug applies to:

Description (Last modified by ppalmers)

Write a script that can summarize the system configuration when users experience issues. Should check for certain frequently recurring issues.

Things that should be checked:

  • kernel
    • version
    • rt configuration (Ingo patched? relevant config options)
    • CPU frequency scaling

  • libraries:
    • installed versions
    • install locations
    • duplicate versions
  • system configuration:
    • can the user acquire RT privileges? (PAM etc...)
  • hardware:
    • is the 1394 chipset reliable?

Change History

05/08/07 01:37:19 changed by ppalmers

  • description changed.

03/18/08 06:27:25 changed by ppalmers

  • priority changed from minor to major.
  • device_name changed.

From a support perspective this is very important. If we don't do this from the start we're going to have a lot of end-user support work.

04/28/08 11:27:37 changed by ppalmers

  • milestone changed from FFADO 2.0 to FFADO 2.1.

First version is already in place. Might be improved in a later stage.

09/17/09 13:49:19 changed by arnonym

  • summary changed from write system config summary script to improve the system config summary script.

Adopt the title to reality...

03/27/12 07:40:42 changed by jwoithe

  • status changed from new to closed.
  • resolution set to fixed.

At this stage I can't see any reason to keep this ticket open. Ffado-diag (the script in question) seems adequate for most purposes, and if situations develop which require improvements they will be made accordingly.